'use strict';

const caseSensitiveTransform = require('./case-sensitive-transform.cjs');

/**
 * @param {Record<string, string>} attributes
 *   Attributes.
 * @param {string} property
 *   Property.
 * @returns {string}
 *   Transformed property.
 */
function caseInsensitiveTransform(attributes, property) {
  return caseSensitiveTransform.caseSensitiveTransform(attributes, property.toLowerCase())
}

exports.caseInsensitiveTransform = caseInsensitiveTransform;
